/****************************************************************************
*       xmalloc.h
*
* **********************************************************************
* *     Copyright (c) by Barak Pearlmutter and Kevin Lang, 1987-99.    *
* *     Copyright (c) by Alex Stuebinger, 1998-99.                     *
* *     Placed under the terms of the GNU General Public License       *
* *     as published by the Free Software Foundation.                  *
* **********************************************************************
*
*/


#ifndef _XMALLOC_H_INCLUDED

#include <stddef.h>
#include "data.h"

extern void *xmalloc (size_t size);
extern void alloc_space (space_t * pspace, size_t size_requested);
extern void free_space (space_t * pspace);
extern void realloc_space (space_t * pspace, size_t size_requested);


#define _XMALLOC_H_INCLUDED
#endif
